> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invitation info

> Get public information about an invitation by token (no auth required)



## OpenAPI

````yaml openapi.json get /invitations/{token}
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /invitations/{token}:
    get:
      tags:
        - invitations
      summary: Get invitation info
      description: Get public information about an invitation by token (no auth required)
      parameters:
        - description: Invitation token
          name: token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Invitation info
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_api_handler.InvitationInfoResponse
        '400':
          description: Token required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.BadRequestError'
        '404':
          description: Invitation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.NotFoundError'
        '410':
          description: Invitation already accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.GoneError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
components:
  schemas:
    internal_api_handler.InvitationInfoResponse:
      type: object
      properties:
        expired:
          type: boolean
        expires_at:
          type: string
        inviter_name:
          type: string
        role:
          type: string
        workspace_logo:
          type: string
        workspace_name:
          type: string
    internal_api_handler.BadRequestError:
      description: Bad request error
      type: object
      properties:
        code:
          type: string
          example: BAD_REQUEST
        error:
          type: string
          example: invalid request parameters
    internal_api_handler.NotFoundError:
      description: Not found error
      type: object
      properties:
        code:
          type: string
          example: NOT_FOUND
        error:
          type: string
          example: resource not found
    internal_api_handler.GoneError:
      description: Gone error (expired resource)
      type: object
      properties:
        code:
          type: string
          example: GONE
        error:
          type: string
          example: resource has expired
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error

````